/v1/extranet-b2b-monitoring/peering-service/consumption-overview

Prev Next
Post
/v1/extranet-b2b-monitoring/peering-service/consumption-overview

Get b2b extranet peering consumption overview

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
customerName
string

a filter to get usage for a specific customer

ExampleCustomer 1
flippedView
boolean Required

whether to view the data from the consumer's perspective (true) or the provider's perspective (false) (required)

Exampletrue
id
integer (int64) Required

the id associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)

Example1
isB2B
boolean Required

whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)

Exampletrue
isProvider
boolean Required

whether the entity is a provider or consumer (required)

Exampletrue
siteId
integer (int64)

a filter to get usage for a specific site

Example1
timeWindow
object (statsmonTimeWindow) Required
bucketSizeSec
integer (int32) Required

the size of the time window in seconds (required)

Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
vrfId
integer (int64)

a filter to get usage for a specific vrf

Example1
Responses
200

OK

Expand All
object
firstLevel
Array of object (ipfixConnectionMap)
object
connections
object
property*
integer (int64) additionalProperties
Minimum0
Example12345678910
connectionsV2
object
property*
number (double) additionalProperties
Example123.45
name
string

the name of the connection

ExampleSite 1
secondLevel
Array of object (ipfixConnectionMap)
object
connections
object
property*
integer (int64) additionalProperties
Minimum0
Example12345678910
connectionsV2
object
property*
number (double) additionalProperties
Example123.45
name
string

the name of the connection

ExampleSite 1
thirdLevel
Array of object (ipfixConnectionMap)
object
connections
object
property*
integer (int64) additionalProperties
Minimum0
Example12345678910
connectionsV2
object
property*
number (double) additionalProperties
Example123.45
name
string

the name of the connection

ExampleSite 1
totalUsage
number (double)

total service usage in kilo bytes

Example1000000